# -*- encoding: utf-8 -*-

from django.contrib import admin
from django.conf import settings
from django.conf.urls.static import static
from django.urls import path, include  # add this

urlpatterns = [
    path('admin/', admin.site.urls),
    path("api/", include(("apps.api.urls", "apps.api"), namespace="api")),

    # ADD NEW Routes HERE
    *static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT),
    path("", include("apps.authentication.urls")), # Auth routes - login / register

    # Leave `Home.Urls` as last the last line
    path("", include("apps.home.urls"))
] 
